import type { _MTRCluster } from "./MTRCluster.js";
import type { _MTRDevice } from "./MTRDevice.js";
export declare class _MTRGenericCluster extends _MTRCluster {
    static alloc(): _MTRGenericCluster;
    static new(): _MTRGenericCluster;
    init(): _MTRGenericCluster;
    /** The device this cluster object is associated with. */
    device(): _MTRDevice;
}
